#!/usr/bin/env node
'use strict';

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _create = require('./commands/create');

var _create2 = _interopRequireDefault(_create);

var _watch = require('./commands/watch');

var _watch2 = _interopRequireDefault(_watch);

var _build = require('./commands/build');

var _build2 = _interopRequireDefault(_build);

var _logo = require('./lib/logo');

var _logo2 = _interopRequireDefault(_logo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pkg = require('./../package.json');

const HELP = `
  polymerx-cli ${pkg.version}\n\nFor help with a specific command, enter:\npolymerx help [command]
`.replace(/\t/g, '');

_yargs2.default.command(_create2.default).command(_watch2.default).command(_build2.default).usage((0, _logo2.default)(HELP)).help().alias('h', 'help').demandCommand().strict().argv;